String[] descs = {"The Absolutely True Diary of a Part Time Indian is a 2007 novel for young adults written by Sherman Alexie and illustrated by Ellen Forney. The book won several awards. This was the first young-adult fiction work by Alexie, a stand-up comedian, screenwriter, film producer, and songwriter who has previously written adult novels, short stories, poems, and screenplays. Alexie stated that \"I did [write the book] because so many librarians, teachers, and teenagers kept asking me to write one.\"\n \n  The Absolutely True Diary is a first-person narrative by Native American teenager Arnold Spirit Jr., also known as \"Junior\", a 14-year-old budding cartoonist. The book is a bildungsroman, detailing Junior's life on the Spokane Indian Reservation and his decision, upon encouragement from a reservation high school teacher, to go to an all-white public high school in the off-reservation town of Reardan, Washington. The novel has 65 comic illustrations by Forney, which sometimes act as punchlines while also revealing Junior's character and furthering the plot. The novel is controversial for some of its content on issues such as alcohol, poverty, bullying, violence, and sexual references, as well as for the tragic deaths of characters and for the use of profanity and slurs related to homosexuality and mental disability. As a result, some schools have banned the book from school libraries or inclusion in curricula.",
"Captain Underpants is a children's novel series by American author and illustrator Dav Pilkey. The series revolves around two fourth graders, George Beard and Harold Hutchins, living in Piqua, Ohio, and Captain Underpants, an aptly named superhero from one of the boys' homemade comic books, that accidentally becomes real when George and Harold hypnotize their megalomaniacal principal, Mr. Krupp. Soon after, Mr. Krupp gains superpowers by drinking alien juices.  The series includes 14 books and 3 spin-offs, and won a Disney Adventures Kids' Choice Award in 2007. As of 2013, the series had been translated in over 20 languages,[1] with more than 70 million books sold worldwide,[1] of that, over 50 million in the United States.[2] DreamWorks Animation acquired rights to the series to make an animated feature film adaptation.",
"Adventures of Huckleberry Finn (or, in more recent editions, The Adventures of Huckleberry Finn) is a novel by Mark Twain, first published in the United Kingdom in December 1884 and in the United States in February 1885. Commonly named among the Great American Novels, the work is among the first in major American literature to be written throughout in vernacular English, characterized by local color regionalism. It is told in the first person by Huckleberry \"Huck\" Finn, a friend of Tom Sawyer and narrator of two other Twain novels (Tom Sawyer Abroad and Tom Sawyer, Detective). It is a direct sequel to The Adventures of Tom Sawyer.  The book is noted for its colorful description of people and places along the Mississippi River. Set in a Southern antebellum society that had ceased to exist about 20 years before the work was published, Adventures of Huckleberry Finn is an often scathing satire on entrenched attitudes, particularly racism.  Perennially popular with readers, Adventures of Huckleberry Finn has also been the continued object of study by literary critics since its publication. It was criticized upon release because of its coarse language and became even more controversial in the 20th century because of its perceived use of racial stereotypes and because of its frequent use of the racial slur \"nigger\", despite strong arguments that the protagonist and the tenor of the book are anti-racist.",
"And Tango Makes Three is a 2005 children's book written by Peter Parnell and Justin Richardson and illustrated by Henry Cole. The book is based on the true story of Roy and Silo, two male chinstrap penguins in New York\'s Central Park Zoo. The book follows the six years of their life when they formed a couple and were given an egg to raise.  The book has won many awards but also been at the center of numerous censorship and culture war debates on same-sex marriage, adoption, and homosexuality in animals. The American Library Association reports that And Tango Makes Three was the most challenged book of 2006 to 2010, except for 2009 when it was the second most challenged.",
"Athletic Shorts: Six Short Stories is a young-adult fiction short story collection by Chris Crutcher. Most of the stories are related to Crutcher's early work. This book also contains the short story A Brief Moment in the Life of Angus Bethune which first appeared in Connections, edited by Donald R. Gallo, published in 1989 by Delacorte Press. It was adapted into the film Angus.",
"A Bad Boy Can Be Good For A Girl is the first novel by Tanya Lee Stone and written in a poetry-format. It follows the story of three girls who fall for the same bad boy intent on seducing every girl in school.",
"Bless Me, Ultima is a novel by Rudolfo Anaya in which his young protagonist, Antonio Márez y Luna, tells the story of his coming-of-age with the guidance of his curandera, mentor, and protector, Ultima. It has become the most widely read and critically acclaimed novel in the Chicano literary canon since its first publication in 1972. Teachers across disciplines in middle schools, high schools and universities have adopted it as a way to multiculturalize their classes. The novel reflects Chicano culture of the 1940s in rural New Mexico. Anaya’s use of Spanish, mystical depiction of the New Mexican landscape, use of cultural motifs such as La Llorona, and recounting of curandera folkways such as the gathering of medicinal herbs, gives readers a sense of the influence of indigenous cultural ways that are both authentic and distinct from the mainstream.  Because Bless Me, Ultima contains adult language, and because some of the content is violent and contains sexual references, it has been included in the list of most commonly challenged books in the U.S. in 2013. Those characteristics notwithstanding it is also important because it was one of four novels published in the last third of the twentieth century which gained academic respect for Chicano literature as an important and nonderivative type of American literature.",
"The Bluest Eye is a 1970 novel by American author Toni Morrison. It is Morrison's first novel and was written while she was teaching at Howard University and raising her two sons on her own.  The story is about a year in the life of a young black girl named Pecola who develops an inferiority complex due to her eye color and skin appearance. It is set in Lorain, Ohio, against the backdrop of America's Midwest during the years following the Great Depression. The point of view switches between the perspective of Claudia MacTeer, as a child and as an adult, and a third-person omniscient viewpoint. Because of the controversial nature of the book, which deals with racism, incest, and child molestation, there have been numerous attempts to ban it from schools and libraries.",
"Bone is an independently published comic book series, written and illustrated by Jeff Smith, originally serialized in 55 irregularly released issues from 1991 to 2004.  \n \n Smith's black-and-white drawings were inspired by animated cartoons and comic strips, a notable influence being Walt Kelly's Pogo: \"I was ... a big fan of Carl Barks and Pogo, so it was just natural for me to want to draw that kind of mixture of Walt Kelly and Moebius.\" Accordingly, the story is singularly characterized by a combination of both light-hearted comedy and dark, epic fantasy: Time Magazine has called the series \"as sweeping as the Lord of the Rings cycle, but much funnier.\" The series was published bimonthly with some delays from June 1991 to June 2004. The series was self-published by Smith's Cartoon Books for issues #1 through #19, by Image Comics from issues #20 to #28, and back to Cartoon Books for issues #29 through #55 (the final one). \n \n Bone has received numerous awards, among them ten Eisner Awards and eleven Harvey Awards",
"Brave New World is a novel written in 1931 by Aldous Huxley and published in 1932. Set in London of AD 2540 (632 A.F.—\"After Ford\"—in the book), the novel anticipates developments in reproductive technology, sleep-learning, psychological manipulation, and classical conditioning that combine profoundly to change society. Huxley answered this book with a reassessment in an essay, Brave New World Revisited (1958), and with Island (1962), his final novel. \n \n In 1999, the Modern Library ranked Brave New World fifth on its list of the 100 best English-language novels of the 20th century.[1] In 2003, Robert McCrum writing for The Observer included Brave New World chronologically at number 53 in \"the top 100 greatest novels of all time\", and the novel was listed at number 87 on the BBC's survey The Big Read.",
"The Catcher in the Rye is a 1951 novel by J. D. Salinger. A controversial novel originally published for adults, it has since become popular with adolescent readers for its themes of teenage angst and alienation. It has been translated into almost all of the world's major languages. Around 250,000 copies are sold each year with total sales of more than 65 million books. The novel's protagonist Holden Caulfield has become an icon for teenage rebellion. The novel also deals with complex issues of identity, belonging, loss, and connection. \n \n The novel was included on Time's 2005 list of the 100 best English-language novels written since 1923 and it was named by Modern Library and its readers as one of the 100 best English-language novels of the 20th century. In 2003, it was listed at #15 on the BBC's survey The Big Read.",
"The Chocolate War is a young adult novel by American author Robert Cormier. First published in 1974, it was adapted into a film in 1988. Although it received mixed reviews at the time of its publication, some reviewers have argued it is one of the best young adult novels of all time.[1] Set at a fictional Catholic high school, the story depicts a secret student organization's manipulation of the student body, which descends into cruel and ugly mob mentality against a lone, non-conforming student. Because of the novel's language, the concept of a high school secret society using intimidation to enforce the cultural norms of the school and various characters' sexual ponderings, it has been the frequent target of censors and appears as third on the American Library Association's list of the \"Top 100 Banned/Challenged Books in 2000–2009.\" A sequel was published in 1985 called Beyond the Chocolate War.",
"This manhwa—first in a trilogy—chronicling the lives of a single mother and her daughter in rural Korea is a moving and evocative look at love as seen through the eyes of one feeling it for the first time and another who longs to savor it once more. The story follows daughter Ehwa from age seven up as she discovers the physical differences between boys and girls, grows into young womanhood and undergoes her initial confusing experiences with attraction and romance. Ehwa's interest is piqued by a young Buddhist monk, a lad whose interest is mutual but doomed to futility thanks to his faith's strict code of celibacy. Meanwhile, Ehwa's mother, who was widowed at an early age, finds her loneliness soothed by the attentions of an artistic traveling salesman known only as Picture Man. Their relationship later helps Ehwa understand much about the joys of making a romantic connection. This book has no conflict other than that common to youthful competition over boys, but it is a work of great humanity that sucks the reader in. Kim's artwork is stunning, and seldom has a male writer captured the attitudes, emotions and behavior of female characters so believably.",
"The Color Purple is a 1982 epistolary novel by American author Alice Walker that won the 1983 Pulitzer Prize for Fiction and the National Book Award for Fiction.  It was later adapted into a film and musical of the same name. \n \n Taking place mostly in rural Georgia, the story focuses on the life of African-American women in the southern United States in the 1930s, addressing numerous issues including their exceedingly low position in American social culture. The novel has been the frequent target of censors and appears on the American Library Association list of the 100 Most Frequently Challenged Books of 2000-2009 at number seventeen because of the sometimes explicit content, particularly in terms of violence.",
"Crank is a novel by Ellen Hopkins published in 2004 that is based loosely around the real life addictions of her daughter to crystal meth.[1] The book is required reading in many high schools, as well as many drug and drug court programs.  However, the book has been banned in many locations due to complaints that the book's depictions of drug use, adult language, and sexual themes are inappropriate for some readers.",
"Callie loves the theater, even if she can’t sing well enough to perform in her beloved musicals. But when drama and romance—both onstage and off—cause problems, Callie finds that set design may be the easiest part of putting on a play. Telgemeier is prodigiously talented at telling cheerful stories with realistic portrayals of middle-school characters. Callie is likable, hardworking, and enthusiastic, but she is as confused about relationships and love as any young teen, and she flits from crush to crush in a believable fashion. Nonactors will love having a spotlight shine on the backstage action, but even those who shun the stage will identify with this roller-coaster ride through young teen emotions. In addressing issues such as homosexuality, Drama is more teen oriented than Telgemeier’s elementary-school-friendly Smile (2010). Her deceptively simple art may seem cartoonish, but it is grounded in a firm sense of style and washed in warm colors to give the story an open, welcoming feel. In this realistic and sympathetic story, feelings and thoughts leap off the page, revealing Telgemeier’s keen eye for young teen life. ",
"Sophomore Virginia Shreves lives in Manhattan and attends a prestigious private school. She lives by her Fat Girl Code of Conduct. She has a budding romance with Froggy the Fourth, but she doesn't want his wandering hands to feel her fat. Her baggy clothing helps her to \"hide.\" Her mother, Dr. Phyllis Shreves, is an adolescent psychologist obsessed with her imperfect daughter's weight, and her father is rarely around. Her older sister joined the Peace Corps to escape mom, and brother Byron is big man on the Columbia campus-until he's suspended for date rape. Finally, Virginia stands up to her mother and takes charge of her life. Strong points in the novel are the issue of date rape and its consequences and, however glossed over, eating disorders. Parental pressure is overdone. Mom and dad are stereotypical of adults so involved in themselves that they cannot see their child for who she is. Some passages are very well done, but the book has an uneven quality in prose style and character development. Told through first-person narrative, journal entries, and e-mail, Virginia's story will interest readers who are looking for one more book with teen angst, a bit of romance, and a kid who is a bit like them or their friends.",
"Fifty Shades of Grey is a 2011 erotic romance novel by British author E. L. James. It is the first instalment in the Fifty Shades trilogy that traces the deepening relationship between a college graduate, Anastasia Steele, and a young business magnate, Christian Grey. It is notable for its explicitly erotic scenes featuring elements of sexual practices involving bondage/discipline, dominance/submission, and sadism/masochism (BDSM). Originally self-published as an ebook and a print-on-demand, publishing rights were acquired by Vintage Books in March 2012. \n \n Fifty Shades of Grey has topped best-seller lists around the world, selling over 125 million copies worldwide by June 2015. It has been translated into 52 languages, and set a record in the United Kingdom as the fastest-selling paperback of all time. Critical reception of the book, however, has tended toward the negative, with the quality of its prose generally seen as poor. Universal Pictures and Focus Features produced a film adaptation, which was released on 13 February 2015[1] which also received generally unfavourable reviews.",
"Like many teens, Emily has tons of friends, thinks her parents are totally uncool, and wishes for a boyfriend. For her birthday, Aunt Chester sends her a set of blank cards called Flashcards of My Life. Each card has a label like Friends, Kiss, Identity–different topics to spark some writing. Emily starts on the cards and, in the process, readers learn about her. Her best 24-hour friend, Sandra, doesn't like her school friends, Sarah W. and Sarah J., leaving Emily stuck in the middle. The girls all have crushes on different boys and there's the constant swirl of rumors of who likes whom. The story is full of early teen angst–being uncomfortable in one's body, not sure why parents act like they do, crying over the smallest things. The style and language are aimed at younger readers; however, some of the topics make the story a better fit for older readers. For example, the girls think their gym teacher is a lesbian because of her roommate's picture on her desk. The font appears to be handwritten, and numerous doodles, charts, and diagrams adorn the pages. An entertaining but hardly earth-shattering look at junior high life.",
"The Glass Castle is a 2005 memoir by Jeannette Walls. The book recounts the unconventional, poverty-stricken upbringing Walls and her siblings had at the hands of their deeply dysfunctional parents. \n \n The memoir spent a total of 261 weeks on The New York Times Best Seller list and is now under development as a film by Paramount.[3] By late 2007, The Glass Castle had sold over 2.7 million copies, had been translated into 22 languages, and received the Christopher Award, the American Library Association's Alex Award (2006) and the Books for Better Living Award.",
"Northern Lights (known as The Golden Compass in North America and some other countries) is a young-adult fantasy novel by Philip Pullman, published by Scholastic UK in 1995. Set in a parallel universe, it features the journey of Lyra Belacqua to the Arctic in search of her missing friend, Roger Parslow, and her imprisoned uncle, Lord Asriel, who has been conducting experiments with a mysterious substance known as \"Dust\". Northern Lights is the first book of a trilogy, His Dark Materials (1995 to 2000). Alfred A. Knopf published the first US edition April 1996, entitled The Golden Compass. Under that title it has been adapted as a 2007 feature film by Hollywood and as a companion video game.",
"Gossip Girl is an American young adult novel series written by Cecily von Ziegesar. The series revolves around the lives and romances of the privileged teenagers at the Constance Billard School for Girls, an elite private school in New York City's Upper East Side. \n \n The first novel, Gossip Girl, was released in April 2002; the eleventh novel of the series was released in May 2007, with a prequel novel following in October 2007. The original novel became the inspiration for the Gossip Girl teen drama television series, created by Josh Schwartz and Stephanie Savage, which premiered on The CW Television Network on September 19, 2007. There are now 13 novels.",
"The Hunger Games is a series of three adventure novels written by the American author Suzanne Collins. The series is set in The Hunger Games universe, and follows young characters Katniss Everdeen and Peeta Mellark. \n \n The novels in the trilogy are titled The Hunger Games (2008), Catching Fire (2009) and Mockingjay (2010). The novels have all been developed into films, with the film adaptation of Mockingjay split into two parts. The first two books in the series were both New York Times best sellers, and Mockingjay topped all US bestseller lists upon its release. By the time the film adaptation of The Hunger Games was released in 2012, the publisher had reported over 26 million Hunger Games trilogy books in print.",
"I Know Why the Caged Bird Sings is a 1969 autobiography about the early years of African-American writer and poet Maya Angelou. The first in a seven-volume series, it is a coming-of-age story that illustrates how strength of character and a love of literature can help overcome racism and trauma. The book begins when three-year-old Maya and her older brother are sent to Stamps, Arkansas, to live with their grandmother and ends when Maya becomes a mother at the age of 16. In the course of Caged Bird, Maya transforms from a victim of racism with an inferiority complex into a self-possessed, dignified young woman capable of responding to prejudice.",
"It's Perfectly Normal: Changing Bodies, Growing Up, Sex, and Sexual Health is a children\'s book about going through puberty. It is written by Robie Harris and illustrated by Michael Emberley. Harris was prompted to write it when an editor asked her to write a children\'s book about HIV/AIDS, and she felt the subject needed to be treated more generally. It was first published in 1994, and has since been translated into 30 languages. \n \n The book is considered highly controversial and is #12 on the American Library Association's Most Challenged Books of 2000-2009 list. In 2007, a woman in Lewiston, Maine made national news when she checked the local libraries\' copies out and refused to return them, claiming the book was \'pornographic\'.",
"The Kite Runner is the first novel by Afghan-American author Khaled Hosseini. Published in 2003 by Riverhead Books, it tells the story of Amir, a young boy from the Wazir Akbar Khan district of Kabul, whose closest friend is Hassan, his father's young Hazara servant. The story is set against a backdrop of tumultuous events, from the fall of Afghanistan's monarchy through the Soviet military intervention, the exodus of refugees to Pakistan and the United States, and the rise of the Taliban regime.",
"Looking for Alaska is John Green's first novel, published in March 2005 by Dutton Juvenile. It won the 2006 Michael L. Printz Award from the American Library Association. During the week of July 29, 2012, Looking for Alaska broke into the New York Times best seller list at number ten in Children's Paperback, 385 weeks (more than seven years) after it was released.",
"Lush is a young adult fiction novel by Natasha Friend published in 2006 by Milkweed Editions. It focuses on Samantha Gwynn, a thirteen-year-old girl whose father is an alcoholic, which \"lush\" is another name for. It was listed on the Young Adult Library Services Association's (YALSA) 2007 Quick Picks for Reluctant Young Adult Readers released by the American Library Association (ALA). It was also named a 2008 Rhode Island Teen Book Award nominee.",
"In My Mom's Having a Baby, Elizabeth describes the month-by-month development of the baby as well as the changes in Mom's body. With a child as narrator, the text naturally includes topics of interest to readers, from the growing size of the fetus to the different ways Elizabeth interacts with him, from Doppler to ultrasound to simply feeling his hard bump of a head through her mother's tummy. Through very direct language and clear illustrations, children learn about a man's testicles where sperm are made and the fallopian tube where an egg is fertilized. Rather than ending at this clinical description, Mom answers Elizabeth's big question, \"how do Dad's sperm and your egg get together?\" As part of her measured response, she explains, \"The man puts his penis between the woman's legs and inside her vagina. After a while, a white liquid shoots out of the man's penis and into the woman's vagina. The liquid is full of millions of sperm.\" So, too, details are not spared when the birth is described. The playful and colorful illustrations add exuberance to the text, combining full-page paintings, cartoon panels, word balloons, and free-floating images, many of which are of the developing baby.",
"My Sister's Keeper is a 2004 novel written by Jodi Picoult. It tells the story of 13-year-old Anna, who sues her parents for medical emancipation when she is expected to donate a kidney to her sister Kate, who is dying from leukemia.",
"Nickel and Dimed: On (Not) Getting By in America is a book written by Barbara Ehrenreich. Written from her perspective as an undercover journalist, it sets out to investigate the impact of the 1996 welfare reform act on the working poor in the United States. \n \n The events related in the book took place between spring 1998 and summer 2000. The book was first published in 2001 by Metropolitan Books. An earlier version appeared as an article in the January 1999 issue of Harper's magazine. Ehrenreich later wrote a companion book, Bait and Switch (published September 2005), which discusses her attempt to find a white-collar job.",
"Olive's Ocean is a 2003 book by Kevin Henkes that won the 2004 Newbery Honor. The story's idea was taken from Kevin Henkes' question, \"What was it like for authors growing up?\"  The book will be made into a motion picture starring Elle Fanning. \n \n Olive's Ocean was 59 on the American Library Association's list of the 100 most challenged books from 2000 to 2009 for having \"sexually explicit content and offensive language.\"",
"The Perks of Being a Wallflower is a coming-of-age epistolary novel by American writer Stephen Chbosky which was first published on February 1, 1999 by Pocket Books. Its narrator is an introverted teenager known as Charlie, who describes his experiences in a series of letters to an anonymous stranger. Set in the early 1990s, the novel follows Charlie through his freshman year of high school in a Pittsburgh suburb. Intelligent beyond his years, he is an unconventional thinker; as the story begins, the reader learns that Charlie is also shy and unpopular. \n \n Chbosky took five years to develop and publish The Perks of Being a Wallflower, creating the characters and other aspects of the story from his own memories. The novel addresses themes permeating adolescence, including introversion, sexuality, and drug use. Chbosky makes several references to other literary works, films, and pop culture in general.",
"Persepolis is an autobiographical graphic novel by Marjane Satrapi depicting her childhood up to her early adult years in Iran during and after the Islamic revolution. The title is a reference to the ancient capital of the Persian Empire, Persepolis. Newsweek ranked the book #5 on its list of the ten best non-fiction books of the decade. Originally published in French, it has been translated into several languages including English.  Persepolis is an autobiographical graphic novel by Marjane Satrapi depicting her childhood up to her early adult years in Iran during and after the Islamic revolution. The title is a reference to the ancient capital of the Persian Empire, Persepolis. Newsweek ranked the book #5 on its list of the ten best non-fiction books of the decade. Originally published in French, it has been translated into several languages including English.",
"Revolutionary Voices: A Multicultural Queer Youth Anthology, edited by Amy Sonnie, is an anthology created by and for radical queer youth, committed specifically to youth of color, young women, transgender and bisexual youth, (dis)abled youth, and poor/working class youth. \n \n The anthology gave rise to the founding of RESYST (Resources for Youth, Students, and Trainers), a radical queer youth organization that had chapters across the country. \n \n It was published in 2000 by Alyson Publications and was a finalist in two categories for a Lambda Literary Award.",
"Saga is an epic space opera/fantasy comic book series written by Brian K. Vaughan and illustrated by Fiona Staples, published monthly by American company Image Comics. The series is heavily influenced by Star Wars and is based on ideas Vaughan conceived both as a child and as a parent. It depicts a husband and wife from long-warring extraterrestrial races, Alana and Marko, fleeing authorities from both sides of a galactic war as they struggle to care for their daughter, Hazel, who is born in the beginning of the series, who occasionally narrates the series as an unseen adult.  The comic was described in solicitations as \"Star Wars meets Game of Thrones,\" and by critics as evocative of both science fiction and fantasy epics such as The Lord of the Rings and classic works like Romeo & Juliet. It is Vaughan's first creator-owned work to be published through Image Comics.",
"Scary Stories to Tell in the Dark is a series of three children's books written by Alvin Schwartz and illustrated by Stephen Gammell. The titles of the books are Scary Stories to Tell in the Dark (1981), More Scary Stories to Tell in the Dark (1984), and Scary Stories 3: More Tales to Chill Your Bones (1991).",
"The Alice series is a young adult book series written by Phyllis Reynolds Naylor. There are three prequels to this series. The first one, Starting with Alice, describes Alice in third grade. Alice in Blunderland is Alice in fourth grade. The final prequel, Lovingly Alice, follows Alice through the troubles of fifth grade. The first book (after the prequels) is The Agony of Alice.  The Alice series follows the main character, Alice McKinley, known as \"Al\" to her father and older brother as she grows up in Silver Spring, Maryland. Her mother died of leukemia when Alice was five. Alice has a hard time at first growing up in an all-male household, but her father and her brother, Lester, prove to be honest and open about almost everything Alice talks about. Alice has very little memory of her mother, often confusing her with her aunt, and seems to bear a striking physical resemblance to her, especially her strawberry-blond hair. Other characters include Alice's three best friends, Pamela, Elizabeth and Gwen, her first serious boyfriend, Patrick, her next boyfriend, Sam, her prudish Aunt Sally (who frequently provides a little comic relief), Lester's many girlfriends, and her seventh grade Language Arts teacher, Miss Summers, whom she tries to get her father to marry (with eventual success). The Alice series broaches many topics, including relationships, dating, sex, friendship, life problems, families, God, and understanding.",
"An instant #1 New York Times bestseller—Jaycee Dugard’s raw and powerful memoir, her own story of being kidnapped in 1991 and held captive for more than eighteen years. \n \n In the summer of June of 1991, I was a normal kid. I did normal things. I had friends and a mother that loved me. I was just like you. Until the day my life was stolen. \n \n For eighteen years I was a prisoner. I was an object for someone to use and abuse. For eighteen years I was not allowed to speak my own name. I became a mother and was forced to be a sister. For eighteen years I survived an impossible situation. \n \n On August 26, 2009, I took my name back. My name is Jaycee Lee Dugard. I don’t think of myself as a victim, I simply survived an intolerable situation. A Stolen Life is my story—in my own words, in my own way, exactly as I remember it.",
"Thirteen Reasons Why (stylized as TH1RTEEN R3ASONS WHY) is a 2007 young-adult fiction novel written by Jay Asher. The book was published by RazorBill, a young adult imprint of Penguin Books. The paperback edition hit #1 on the New York Times best-seller list in July 2011.",
"To Kill a Mockingbird is a novel by Harper Lee published in 1960. It was immediately successful, winning the Pulitzer Prize, and has become a classic of modern American literature. The plot and characters are loosely based on the author's observations of her family and neighbors, as well as on an event that occurred near her hometown in 1936, when she was 10 years old. \n \n The novel is renowned for its warmth and humor, despite dealing with the serious issues of rape and racial inequality. The narrator's father, Atticus Finch, has served as a moral hero for many readers and as a model of integrity for lawyers. One critic explains the novel's impact by writing, \"In the twentieth century, To Kill a Mockingbird is probably the most widely read book dealing with race in America, and its protagonist, Atticus Finch, the most enduring fictional image of racial heroism.\"",
"ttyl is a young adult novel written by Lauren Myracle and is also the first book in the 'Internet Girls' series. In 2004, it gained attention for being the first novel written entirely in the style of instant messaging conversation. The novel was a New York Times, Publishers Weekly, and a Book Sense bestseller. \"ttyl\" is internet slang for \"Talk to you later\".",
"Twilight (stylized as twilight) (2005) is a young-adult vampire-romance novel by author Stephenie Meyer. It is the first book in the Twilight series, and introduces seventeen-year-old Isabella \"Bella\" Swan, who moves from Phoenix, Arizona to Forks, Washington. She is endangered after falling in love with Edward Cullen, a vampire. Additional novels in the series are New Moon, Eclipse, and Breaking Dawn.  Twilight received lukewarm reviews. Some praised the novel's tone and its portrayal of common teenage emotions such as alienation and rebellion. Others criticized Meyer's prose and argued the story was lacking in character development. It reached number five on the New York Times bestseller list within a month of its release and eventually reached first place. The novel was named one of Publishers Weekly's Best Children's Books of 2005.",
"When her favorite uncle, Bobby, announces that he is getting married to his boyfriend, Jamie, Chloe worries that he won’t have time for her anymore. The characters are all guinea pigs in human dress, and the sweet, double-page spreads in watercolor and graphite show the idyllic bond between the child and her uncle, as they walk together in the woods, row on the river, and more. In contrast are the scenes of her sadness and jealousy until she learns to have fun with both Bobby and Jamie together—even as they talk about their plans to raise their own kids. The climax is the joyful, exciting wedding—the couple in tuxedos, Chloe as the flower girl, and the big, extended family all together, smiling and teary. A celebration of same-sex marriage, this is about family happiness.",
"What My Mother Doesn't Know (2001) is a novel in verse by Sonya Sones. The free verse novel follows ninth-grader Sophie Stein as she struggles through the daily grind of being a freshman in high school, her romantic crushes and family life."
};

String[] reasons = {"reasons: anti-family, cultural insensitivity, drugs/alcohol/smoking, gambling, offensive language, sex education, sexually explicit, unsuited for age group, violence.","reasons: anti-family content, unsuited to age group, violence",
"reason: racism",
"reasons: anti-family, homosexuality, political viewpoint, religious viewpoint, unsuited for age group.",
"reasons: homosexuality and offensive language",
"reasons: drugs/alcohol/smoking, nudity, offensive language, sexually explicit",
"reasons: occult/Satanism, offensive language, religious viewpoint, sexually explicit",
"reasons: offensive language, sexually explicit, and unsuited to age group",
"reasons: political viewpoint, racism, violence",
"reasons: insensitivity; nudity; racism; religious viewpoint; sexually explicit",
"reasons: offensive language, sexually explicit, unsuited to age group",
"reasons: nudity, offensive language, sexually explicit, unsuited to age group",
"reasons: nudity; sex education; sexually explicit; unsuited to age group",
"reasons: offensive language, sexually explicit, unsuited to age group",
"reasons: drugs, offensive language, and sexually explicit",
"reasons: sexually explicit",
"reasons: offensive language, sexually explicit, unsuited to age group",
"reasons: nudity, offensive language, religious viewpoint, sexually explicit, unsuited to age group",
"reasons: sexually explicit and unsuited to age group",
"reasons: Offensive language, sexually explicit",
"reason: religious viewpoint ",
"reasons: homosexuality, sexually explicit, offensive language, and unsuited to age group",
"reasons: Religious viewpoint, unsuited to age group",
"reason: sexually explicit",
"reasons: sex education and sexually explicit",
"reasons: offensive language, unsuited to age group, violence",
"reasons: drugs/alcohol/smoking, sexually explicit, unsuited to age group",
"reasons: drugs, offensive language, sexually explicit, and unsuited to age group",
"reasons: nudity; sex education; sexually explicit; unsuited to age group",
"reasons: homosexuality, offensive language, religious viewpoint, sexism, sexually explicit, unsuited to age group, violence",
"reasons: drugs, inaccurate, offensive language, political viewpoint, and religious viewpoint",
"reasons: offensive language, sexually explicit",
"reasons: drugs/alcohol/smoking, homosexuality, offensive language, sexually explicit, unsuited for age group.",
"reasons: gambling, offensive language, political viewpoint.",
"reasons: homosexuality and sexually explicit",
"reasons: anti-family, nudity, offensive language, sexually explicit, and unsuited for age group.",
"reasons: unsuited for age group, violence",
"reasons: nudity; offensive language; religious viewpoint",
"reasons: drugs/alcohol/smoking, offensive language, sexually explicit, and unsuited for age group",
"reasons: drugs/alcohol/smoking, sexually explicit, suicide, unsuited for age group",
"reasons: offensive language; racism",
"reasons: drugs, nudity, offensive language, sexually explicit, unsuited to age group",
"reasons: religious viewpoint, sexually explicit, unsuited to age group",
"reasons: homosexuality and unsuited to age group",
"reasons: sexual content, being unsuited to age group"
};

String[] BannedYears = {"2010 2011 2012 2013 2014",
"2013 2014",
"2008",
"2006 2007 2008 2009 2010 2012 2014",
"2006",
"2013",
"2008 2013",
"2008 2013",
"2013",
"2010 2011",
"2009",
"2006 2007 2009",
"2012",
"2007 2009",
"2010",
"2014",
"2006 2009",
"2012 2013",
"2008",
"2012",
"2007",
"2011 2008 2006",
"2010 2011 2013",
"2007",
"2007 2014",
"2008 2012 2014",
"2012 2013",
"2010",
"2011",
"2009",
"2010",
"2007",
"2006 2007 2008 2009 2013 2014",
"2014",
"2010",
"2014",
"2012",
"2011",
"2014",
"2012",
"2009 2011",
"2007 2008 2011",
"2009 2010",
"2008",
"2010 2011"
};

String[] titles = {
"absolutely true diary of a part time indian",
"adventures of captain underpants",
"adventures of huckleberry finn",
"and tango makes three",
"athletic shorts",
"a bad boy can be good for a girl",
"bless me ultima",
"the bluest eye",
"bone volume 1: out from boneville",
"brave new world",
"catcher in the rye",
"the chocolate war",
"the color of earth",
"the color purple",
"crank",
"drama",
"the earth my butt and other big round things",
"fifty shades of grey",
"flashcards of my life",
"the glass castle",
"the golden compass",
"gossip girl",
"the hunger games",
"i know why the caged bird sings",
"its perfectly normal",
"the kite runner",
"looking for alaska",
"lush",
"my moms having a baby",
"my sisters keeper",
"nickel and dimed",
"olive's ocean",
"the perks of being a wallflower",
"persepolis",
"revolutionary voices",
"saga",
"scary stories",
"starting with alice",
"a stolen life",
"thirteen reasons why",
"to kill a mockingbird",
"ttyl",
"twilight",
"uncle bobby's wedding",
"what my mother doesnt know"};